## org.apache.coyote.ajp
Class AjpAprProcessor.SocketOutputBuffer

    java.lang.Object
      org.apache.coyote.ajp.AjpAprProcessor.SocketOutputBuffer

All Implemented Interfaces:
  OutputBuffer

Enclosing class:
  AjpAprProcessor

    protected class AjpAprProcessor.SocketOutputBuffer

extends java.lang.Object
implements OutputBuffer

This class is an output buffer which will write data to an output stream.

Constructor Summary
`protected` `AjpAprProcessor.SocketOutputBuffer()`

Method Summary
`int` `doWrite(ByteChunk chunk, Response res)` Write chunk.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AjpAprProcessor.SocketOutputBuffer

    protected AjpAprProcessor.SocketOutputBuffer()

Method Detail

### doWrite

    public int doWrite(ByteChunk chunk,
                       Response res)
                throws java.io.IOException

  Write chunk.

  Specified by:
    `doWrite` in interface `OutputBuffer`
  Parameters:
    `chunk` - data to write
    `res` - used to allow buffers that can be shared by multiple responses.
  Returns:
  Throws:
    `java.io.IOException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.